Qt Reference Documentation

# QDecorationPlugin Class Reference

The QDecorationPlugin class is an abstract base class for window decoration plugins in Qt for Embedded Linux. More...

     #include <QDecorationPlugin>

Inherits: QObject.

- List of all members, including inherited members

## Public Functions

| QDecorationPlugin ( QObject * parent = 0 )
| ~QDecorationPlugin ()

## Reimplemented Public Functions

virtual QDecoration * | create ( const QString & key ) = 0
virtual QStringList | keys () const = 0

- 29 public functions inherited from QObject

### Additional Inherited Members

- 1 property inherited from QObject
- 1 public slot inherited from QObject
- 1 signal inherited from QObject
- 7 static public members inherited from QObject
- 8 protected functions inherited from QObject

## Detailed Description

The QDecorationPlugin class is an abstract base class for window decoration plugins in Qt for Embedded Linux.

Note that this class is only available in Qt for Embedded Linux.

Qt for Embedded Linux provides three ready-made decoration styles: `Default`, `Styled` and `Windows`. Custom decorations can be implemented by subclassing the QDecoration class and creating a decoration plugin.

A decoration plugin can be created by subclassing QDecorationPlugin and implementing the pure virtual keys() and create() functions. By exporting the derived class using the Q_EXPORT_PLUGIN2() macro, the default implementation of the QDecorationFactory class will automatically detect the plugin and load the driver into the application at run-time. See How to Create Qt Plugins for details.

To actually apply a decoration, use the QApplication::qwsSetDecoration() function.

See also QDecoration and QDecorationFactory.

## Member Function Documentation

### QDecorationPlugin::QDecorationPlugin ( QObject * parent = 0 )

Constructs a decoration plugin with the given parent.

Note that this constructor is invoked automatically by the Q_EXPORT_PLUGIN2() macro, so there is no need for calling it explicitly.

### QDecorationPlugin::~QDecorationPlugin ()

Destroys the decoration plugin.

Note that Qt destroys a plugin automatically when it is no longer used, so there is no need for calling the destructor explicitly.

### QDecoration * QDecorationPlugin::create ( const QString & key )`[pure virtual]`

Creates a decoration matching the given key. Note that keys are case-insensitive.

See also keys().

### QStringList QDecorationPlugin::keys () const`[pure virtual]`

Returns the list of valid keys, i.e., the decorations supported by this plugin.

See also create().